Bug 107643 - 1.15 Line spacing has wrong preview in Paragraph dialog
Summary: 1.15 Line spacing has wrong preview in Paragraph dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: implementationError
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2017-05-04 22:25 UTC by Yousuf Philips (jay)
Modified: 2017-11-06 09:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2017-05-04 22:25:08 UTC
Samuel added 1.15 to the list of line spacing in the paragraph dialog in bug 85949, but unfortunately the preview in the dialog is now wrong as it isnt being rendered on what value is there in the dialog, but what entry is selected in the list, which it now has taken over the position of where 1.5 used to be.
Comment 1 Aron Budea 2017-05-06 05:03:38 UTC
Confirmed.
Comment 2 Jim Raykowski 2017-10-22 00:01:16 UTC
Here is a link to a patch for this one

https://gerrit.libreoffice.org/#/c/43682/
Comment 3 Commit Notification 2017-10-25 09:30:53 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d65adb2fa02645e3c9e946a0b896af51ef27a7d

tdf#107643 Fix paragraph preview line spacing

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-10-25 14:34:33 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2af4edf5e25a956e30580be86e4ddc090602892&h=libreoffice-5-4

tdf#107643 Fix paragraph preview line spacing

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.